require 'date'
version = StringIO.new
File.open('FRENCHPRESS_VERSION', 'r') do |f|
  version.write f.read
end

Gem::Specification.new do |s|
  s.name = 'frenchpress'
  s.version = version.string
  s.date = Date.today.strftime('%Y-%m-%d')
  s.summary = 'Frenchpress is just for blogging.'
  s.description = 'Frenchpress is a blogging engine to host your blog on ' \
    'github pages and Just Blog (TM) without the fuss of octopress.'
  s.authors = ['Kyle Fahringer']
  s.files = `git ls-files`.split("\n")
  s.require_paths = ['lib']
  s.executables << 'frenchpress'
  s.license = 'MIT'
  s.homepage = 'https://github.com/vulpino/frenchpress'
  s.email = 'hispanic@hush.ai'
  s.add_runtime_dependency 'thor', '~> 0.19'
  s.add_runtime_dependency 'ruby-progressbar', '~> 1.7'
  s.add_runtime_dependency 'redcarpet', '~> 3.3'
  s.add_runtime_dependency 'rouge', '~> 1.10'
end
